Bug 1013676 - 9p filesystem support broken with 3.11 kernel
9p filesystem support broken with 3.11 kernel
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: qemu (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fedora Virtualization Maintainers
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-30 11:05 EDT by Daniel Berrange
Modified: 2013-10-14 13:08 EDT (History)
10 users (show)

See Also:
Fixed In Version: qemu-1.4.2-12.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-14 03:05:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Berrange 2013-09-30 11:05:07 EDT
Description of problem:
The 3.11 kernel which has now hit f19 stable updates switched to using the 9p2000.L protocol version.

Unfortunately the QEMU 1.4.x series is fubar with this version, reporting ENOTTY for most operations.

We need the following patch from QEMU git applied to Fedora QEMU builds to make it work with new kernels.

From db431f6adc881a0758512cd765b3108209013512 Mon Sep 17 00:00:00 2001
From: Gabriel de Perthuis <g2p.code@gmail.com>
Date: Fri, 10 May 2013 19:53:28 +0200
Subject: [PATCH] hw/9pfs: Be robust against paths without FS_IOC_GETVERSION

9P optionally uses the FS_IOC_GETVERSION ioctl to get information about
a file's version (sometimes called generation number).

The code checks for supported filesystems at mount time, but some paths
may come from other mounted filesystems.

Change it to treat unsupported paths the same as unsupported
filesystems, returning 0 in both cases.

Note: ENOTTY is the error code for an unsupported ioctl.

This fix allows booting a linux kernel with the same / filesystem as the
host; otherwise the boot fails when mounting devtmpfs.

Signed-off-by: Gabriel de Perthuis <g2p.code@gmail.com>
Reviewed-by: Aneesh Kumar K.V <aneesh.kumar@linux.vnet.ibm.com>
Signed-off-by: Aneesh Kumar K.V <aneesh.kumar@linux.vnet.ibm.com>
---
 hw/9pfs/cofile.c | 4 ++++
 1 file changed, 4 insertions(+)



Version-Release number of selected component (if applicable):
qemu-1.4.2-11.fc19.x86_64

How reproducible:
Always

Steps to Reproduce:
1. virt-sandbox -c qemu:///session /bin/sh
2.
3.

Actual results:
Fails if host is running a 3.11 kernel, works with a 3.10 kernel

Expected results:
Passes with all kernels

Additional info:
Comment 1 Daniel Berrange 2013-10-01 08:50:35 EDT
We need a second patch to QEMU to fix another flaw triggered in 3.11 kenrels

https://lists.gnu.org/archive/html/qemu-devel/2013-10/msg00017.html
Comment 2 Fedora Update System 2013-10-06 15:18:52 EDT
qemu-1.4.2-12.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/qemu-1.4.2-12.fc19
Comment 3 Fedora Update System 2013-10-08 07:31:01 EDT
Package qemu-1.4.2-12.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing qemu-1.4.2-12.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-18493/qemu-1.4.2-12.fc19
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-10-14 03:05:16 EDT
qemu-1.4.2-12.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2013-10-14 13:08:31 EDT
qemu-1.4.2-12.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.